﻿package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type FinWithdrawApplyDao interface {
	FinWithdrawApplyGetBySession(session *xorm.Session, startAt, endAt string, params map[string]interface{}) (*[]model.FinWithdrawApply, error)
	FinWithdrawApplyInsertOneBySession(session *xorm.Session, m *model.FinWithdrawApply) (int64, error)
	FinWithdrawApplyAmountGetByParams(params map[string]interface{}) (float64, error)
	FinWithdrawApplyGet(id int64) (*model.FinWithdrawApply, error)
	UpdateFinWithdrawApply(m *model.FinWithdrawApply, columns ...string) (int64, error)
	UpdateFinWithdrawApplyBySession(session *xorm.Session, m *model.FinWithdrawApply, columns ...string) (int64, error)
}
